Mailinglist Archive: opensuse-es (1446 mails)

< Previous Next >
Re: [suse-linux-s] Instalando a la vieja usanza: error
  • From: "Carlos E. R." <robin1.listas@xxxxxxxxxx>
  • Date: Mon, 27 Feb 2006 17:05:15 +0100 (CET)
  • Message-id: <Pine.LNX.4.61.0602271701210.28137@xxxxxxxxxxxxxxxx>
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


El 2006-02-27 a las 16:53 +0100, Jose Sanchez escribió:

> talimades:/usr/local/pgplot # make
> g77 -fno-backslash -o pgdemo1 /usr/local/src/pgplot/examples/pgdemo1.f
> -L/usr/local/pgplot -lpgplot -L/usr/X11R6/lib -lX11
> /usr/lib/gcc-lib/i586-suse-linux/3.3.4/../../../../i586-suse-linux/bin/ld: no
> se puede encontrar -lX11
> collect2: ld returned 1 exit status
> make: *** [pgdemo1] Error 1
> talimades:/usr/local/pgplot #
>
> El fichero en cuestion "ld" si existe.

Fíjate bien, no es ld, es "libX11" lo que no encuentra. Seguramente te
falta la versión -devel del paquete correspondiente (que no te digo cual
es, te lo dejo como ejercicio ;-) )

> He intentado entender que está pasando pero no me entero.
> Mi problema es que no se como interpretar algunas lineas del makefile, en
> concreto:
> PGPLOT_LIB=-L'pwd' -lpgplot
> ¿cómo hay que interpretar esta linea??

Imposible saberlo sin ver el todo. Pero 'pwd' se substituye, creo, por la
salida del comando "pwd" en el moemento de leerlo.

- --
Saludos
Carlos Robinson


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)
Comment: Made with pgp4pine 1.76

iD8DBQFEAyM8tTMYHG2NR9URAi96AJwNeKmD8s3p1PPpKgOBP/CaPs0elQCfZTXg
7LCBg25FvRzfmgduX7BD7Jo=
=kOd8
-----END PGP SIGNATURE-----
< Previous Next >
Follow Ups
References